#pragma once

#include <yandex/maps/wiki/routing/common.h>
#include <maps/libs/common/include/pimpl_utils.h>

#include <vector>

namespace maps {
namespace wiki {
namespace routing {

class Stop {

public:
    Stop(ID id, const Point& point);

    ID id() const;
    const Point& geom() const;

    COPYABLE_PIMPL_DECLARATIONS(Stop)
};

typedef std::vector<Stop> Stops;

} // namespace routing
} // namespace wiki
} // namespace maps
